summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-05-01 07:08:07 +0200
committerHans de Graaff <graaff@gentoo.org>2021-05-01 07:11:22 +0200
commit922cd9af2eedc7e9dc5b8cae7dff419b53beefb5 (patch)
tree53d661fde02d31d5eed97b6967aab75627c26dec /eclass
parentdev-ruby/minitest-hooks: add ruby30 (diff)
downloadgentoo-922cd9af2eedc7e9dc5b8cae7dff419b53beefb5.tar.gz
gentoo-922cd9af2eedc7e9dc5b8cae7dff419b53beefb5.tar.bz2
gentoo-922cd9af2eedc7e9dc5b8cae7dff419b53beefb5.zip
ruby-ng.eclass: die on errors in ruby_rbconfig_value
Die on errors in ruby_rbconfig_value, so that any issues with it cause an immediate stop, rather than returning a nil value which may propagate into installed ebuilds and cause hard-to-diagnose issues. Closes: https://bugs.gentoo.org/776322 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby-ng.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index 0dd65b894c83..0c569bfcdcc6 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -607,7 +607,7 @@ ruby-ng_src_install() {
# @USAGE: rbconfig item
# @RETURN: Returns the value of the given rbconfig item of the Ruby interpreter in ${RUBY}.
ruby_rbconfig_value() {
- echo $(${RUBY} --disable=did_you_mean -rrbconfig -e "puts RbConfig::CONFIG['$1']")
+ echo $(${RUBY} --disable=did_you_mean -rrbconfig -e "puts RbConfig::CONFIG['$1']" || die "Could not read ruby configuration for '${1}'")
}
# @FUNCTION: doruby